%define oversion 2.0.12
%define pre pre1

%define major 0
%define api 2.0
%define libname %mklibname gksu %{api} %{major}
%define devname %mklibname gksu %{api} -d

Summary:	GKSu libraries
Name:		libgksu
Version:	2.0.13
Release:	0.%{pre}.3
License:	LGPLv2.1+
Group:		System/Libraries
Url:		http://www.nongnu.org/gksu/
Source0:	https://launchpad.net/ubuntu/+archive/primary/+files/libgksu_%{version}~%{pre}.orig.tar.gz
Patch0:		libgksu-2.0.12-fix-str-fmt.patch
Patch1:		libgksu-2.0.13-fix_lib64_detection.patch
Patch2:		libgksu-2.0.12-fix-build.patch
Patch3:		Makefile.am.patch
Patch4:		libgksu-2.0.12-l10n-ru.patch
# Apply translation to wrong password answer from sudo
Patch5:		libgksu-2.0.12-wrong-password-gettext.patch
Patch6:		libgksu-2.0.12-proper-line.patch
# From Debian package
Patch10:	06_unguarded_child_stderr.patch
Patch11:	18_g_markup_escape_text_for_command.patch
BuildRequires:	desktop-file-utils
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	perl-XML-Parser
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libgtop-2.0)
BuildRequires:	pkgconfig(libstartup-notification-1.0)
BuildRequires:	pkgconfig(pkg-config)

%description
GKSu is a library that provides a Gtk+ frontend to su and sudo. It
supports login shells and preserving environment when acting as a su
frontend. It is useful to menu items or other graphical programs
that need to ask a user's password to run another program as another user.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	GKSu libraries
Group:		System/Libraries

%description -n %{libname}
GKSu is a library that provides a Gtk+ frontend to su and sudo. It
supports login shells and preserving environment when acting as a su
frontend. It is useful to menu items or other graphical programs
that need to ask a user's password to run another program as another user.

%files -n %{libname} -f %{name}.lang
%{_libdir}/libgksu2.so.%{major}*
%{_libdir}/%{name}

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development package for %{name}
Group:		Development/Other
Requires:	%{libname} = %{EVRD}
Provides:	libgksu2.0-devel = %{EVRD}
Provides:	libgksu2-devel = %{EVRD}
Provides:	libgksu-devel = %{EVRD}
Conflicts:	%{_lib}gksu2.0_0-devel < 2.0.12-10
Obsoletes:	%{_lib}gksu2.0_0-devel < 2.0.12-10

%description -n %{devname}
Development package for %{name}

GKSu is a library that provides a Gtk+ frontend to su and sudo. It
supports login shells and preserving environment when acting as a su
frontend. It is useful to menu items or other graphical programs
that need to ask a user's password to run another program as another user.

%files -n %{devname}
%doc INSTALL ChangeLog AUTHORS
%{_libdir}/lib*.a
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_datadir}/gtk-doc/html/%{name}

#----------------------------------------------------------------------------

%package -n gksu-utils
Summary:	Utilities package for %{name}
Group:		System/Base
Requires:	%{libname} = %{EVRD}

%description -n gksu-utils
Utilities package for %{name}.

GKSu is a library that provides a Gtk+ frontend to su and sudo. It
supports login shells and preserving environment when acting as a su
frontend. It is useful to menu items or other graphical programs
that need to ask a user's password to run another program as another user.

%files -n gksu-utils
%{_sysconfdir}/gconf/schemas/gksu.schemas
%{_bindir}/gksu-properties
%{_datadir}/man/man1/gksu-properties.1*
%{_datadir}/applications/gksu-properties.desktop
%{_datadir}/libgksu/gksu-properties.ui
%{_datadir}/pixmaps/gksu.png

%preun -n gksu-utils
%preun_uninstall_gconf_schemas gksu

#----------------------------------------------------------------------------

%prep
%setup -qn %{name}-%{oversion}
%patch0 -p1 -b .str
%patch1 -p1
%patch2 -p0
%patch3 -p0
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch10 -p1
%patch11 -p1
touch README NEWS
#sed -i 's:dist_pkglibexec_SCRIPTS:dist_pkgdata_SCRIPTS:g' \
#                $(grep -l dist_pkglibexec_SCRIPTS $(find . -name Makefile.am))

%build
autoreconf -fi
%configure2_5x LIBS="-lX11"
echo "CATALOGS =  ca.gmo cs.gmo da.gmo de.gmo es.gmo eu.gmo fr.gmo hu.gmo it.gmo ko.gmo lt.gmo pl.gmo pt_BR.gmo ro.gmo ru.gmo sk.gmo sv.gmo nb.gmo nl.gmo th.gmo zh_CN.gmo" > po/Makefile1
cat po/Makefile >> po/Makefile1
mv -f po/Makefile1 po/Makefile
%make

%install
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="AdvancedSettings" \
  --add-category="Settings" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name}

%changelog

* Thu Dec 07 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.0.13-0.pre1.3
- (78c4800) Read input from proper line


